JGraph X 1.3.0.0

## com.mxgraph.layout.hierarchical.model
Interface mxGraphHierarchyModel.CellVisitor

Enclosing class:
  mxGraphHierarchyModel

    public static interface mxGraphHierarchyModel.CellVisitor

Defines the interface that visitors use to perform operations upon the graph information during depth first search (dfs) or other tree-traversal strategies implemented by subclassers.

Method Summary
`void` `visit(mxGraphHierarchyNode parent, mxGraphHierarchyNode cell, mxGraphHierarchyEdge connectingEdge, int layer, int seen)` The method within which the visitor will perform operations upon the graph model

Method Detail

### visit

    void visit(mxGraphHierarchyNode parent,
               mxGraphHierarchyNode cell,
               mxGraphHierarchyEdge connectingEdge,
               int layer,
               int seen)

  The method within which the visitor will perform operations upon the graph model

  Parameters:
    `parent` - the parent cell the current cell
    `cell` - the current cell visited
    `previousSibling` - the last neighbour cell found
    `layer` - the current layer of the tree
    `sibling` - the number of sibling to the current cell found

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.